% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plot_arrange.R
\name{plot_arrange}
\alias{plot_arrange}
\title{Merge multiple curves into a single graph}
\usage{
plot_arrange(
  plots,
  theme = theme_classic(),
  legend.title = NULL,
  legend.position = "top",
  trat = NA,
  gray = FALSE,
  ylab = "Dependent",
  xlab = "Independent",
  widthbar = 0.3,
  pointsize = 4.5,
  linesize = 0.8
)
}
\arguments{
\item{plots}{list with objects of type LM_model, BC_model, CD_model, LL_model or normal_model}

\item{theme}{ggplot2 theme (\emph{default} is theme_classi())}

\item{legend.title}{caption title}

\item{legend.position}{legend position (\emph{default} is c(0.3,0.8))}

\item{trat}{name of the curves}

\item{gray}{gray scale (\emph{default} is FALSE)}

\item{ylab}{Variable response name (Accepts the \emph{expression}() function)}

\item{xlab}{treatments name (Accepts the \emph{expression}() function)}

\item{widthbar}{bar width (\emph{default} is 0.3)}

\item{pointsize}{shape size}

\item{linesize}{line size}
}
\value{
The function returns a graph joining the outputs of the functions LM_model, LL_model, BC_model, CD_model, loess_model, normal_model, piecewise_model and N_model
}
\description{
Merge multiple curves into a single graph
}
\examples{
library(AgroReg)
data("aristolochia")
attach(aristolochia)
a=LM(trat,resp)
b=LL(trat,resp,npar = "LL.3")
c=BC(trat,resp, npar = "BC.4")
d=CD(trat,resp, npar = "CRS.4")
plot_arrange(list(a,b,c,d))
}
\author{
Gabriel Danilo Shimizu
}
